$Id: README.compiler-framework,v 1.2 2001/05/06 19:38:33 vkurland Exp $


module  fwcompiler.c  contains general purpose functions and should not be 
edited. All firewall platform-dependend code goes to a separate module. Module
ipchains.c implements code for ipchains firewall

Errors are to be reported on stdout, not stderr. This is because class which
manages background operations for GUI reads program standard output and shows
it in the dialog window. In case of error compiler should return non-zero
return value


Notes for specific firewall platform compilers are in corresponding
README.* files



